// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('mechanized_rod').displayName('Mechanized Stick')
	//event.create('cooked_apple').food(food => {food.hunger(6).saturation(1)}).displayName('Cooked Apple').maxStackSize(64)
	event.create('glucose').displayName('Glucose Syrup').food(food => {food.hunger(10).saturation(10)})
})

onEvent('block.registry', event => {
	// Register new blocks here
	event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
	event.create('mechanized_block').material('wood').hardness(1.0).displayName('Mechanized Wood')
	event.create('mechanized_plank').material('wood').hardness(1.0).displayName('Mechanized Plank')
})